/virtualclusters/{virtualClusterId}/jobruns
http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/jobrunsLists job runs based on a set of parameters. A job run is a unit of work, such as a Spark jar, PySpark script, or SparkSQL query, that you submit to Amazon EMR on EKS.
Path Parameters
The ID of the virtual cluster for which to list the job run.
Query Params
The date and time before which the job runs were submitted.
The date and time after which the job runs were submitted.
The name of the job run.
The states of the job run.
The maximum number of job runs that can be listed.
The token for the next set of job runs to return.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/jobruns' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}